package com.ruoyi.mingxue.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.MenuExtInfo;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * mxjbTagExt对象 mxjb_tag_ext
 * 
 * @author mingxue
 * @date 2022-09-14
 */
public class MxjbTagExt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 菜单项 */
    private Long menuId;

    /** 扩展属性 */
    @Excel(name = "扩展属性")
    private MenuExtInfo.ConfigExtends info;

    public MxjbTagExt() {

    }

    public MxjbTagExt(Long menuId, MenuExtInfo.ConfigExtends info) {
        this.menuId = menuId;
        this.info = info;
    }

    public void setMenuId(Long menuId) 
    {
        this.menuId = menuId;
    }

    public Long getMenuId() 
    {
        return menuId;
    }
    public void setInfo(MenuExtInfo.ConfigExtends info)
    {
        this.info = info;
    }

    public MenuExtInfo.ConfigExtends getInfo()
    {
        return info;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("menuId", getMenuId())
            .append("info", getInfo())
            .toString();
    }
}
